//------------------------------------------------------------------------------
function mostrar(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
   var parametros = {"accion":'listado',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})
}

//------------------------------------------------------------------------------
function mostrar_info(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
   var parametros = {"accion":'listado_info',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})
}

function mostrargrad(id1,id2,tabla,ancho, alto){

 
  var sede=get('s_id1');
  var jornada=get('j_id1');
  
  if(sede=='')
      {
          alert('Ingrese Sede');
          exit();
      }
  if(jornada=='')
      {
          alert('Ingrese Jornada');
      }

   var parametros = {"accion":'listadograd',"tabla":tabla,"id1":id1,"id2":id2,"sede":sede,"jornada":jornada};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){
                     if(opciones=='no'){
                          
                         alert ('No Existen Registros');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus(); 
                               exit();
                    }else{
                         $("#dialog").dialog({
                                  width: ancho,
                                  height: alto

                          });

                        $("#dialog").html(opciones);
                    }
                }
            })
}



//-------------------------------------------------------
function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });

    
}


//--------------------------------------------------------

function limpiar(id1,id2){

    if (document.getElementById(id1).value==''){
        document.getElementById(id2).value='';
    }

}

function al_salir(id1,id2,tabla){
    
    var codigo=document.getElementById(id1).value;

      
    if (codigo!=''){
        
        if(codigo=='*')
            {               
                alert('Caracter No Permitido');
                document.getElementById(id1).value='';
                document.getElementById(id1).focus();
                exit();
            }

       var parametros = {"accion":'al_salir',"codigo":codigo,"tabla":tabla};
                       $.ajax({
                       data:  parametros,
                       url:"app/model/catalogos.php",
                       type: "POST",
                       success: function(respuesta){

                       
                           if (respuesta!="0"){
                            document.getElementById(id2).value=respuesta;
                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }
}

function al_salirgrad(id1,id2,tabla){
    
    var codigo=document.getElementById(id1).value;

      
    if (codigo!=''){
        
        var sede=get('s_id1');
        var jornada=get('j_id1');

        if(sede=='')
          {
              alert('Ingrese Sede');
              exit();
          }
        if(jornada=='')
          {
              alert('Ingrese Jornada');
          }

       var parametros = {"accion":'al_salir_grad',"codigo":codigo,"tabla":tabla,"sede":sede,"jornada":jornada};
                       
        $.ajax({
           data:  parametros,
           url:"app/model/catalogos.php",
           type: "POST",
           success: function(respuesta){

                       if (respuesta!="0"){

                        document.getElementById(id2).value=respuesta;

                       }
                       else{
                           alert ('No Existe Registro');
                           document.getElementById(id1).value='';
                           document.getElementById(id2).value='';
                           document.getElementById(id1).focus();
                       }

                }})

    }
}
